Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003015 [JEDI VCL] 00 JVCL Components minor always 2005-06-03 04:24 2005-07-02 10:50
Reporter dejoy View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003015: HaHa! The new JvOfficeColorPanel and JvOfficeColorButton are completed!
Description In new version ,all code were rewrited!

JvSpeedButton.pas
    - implemented interface of IJvHotTrack.
    - fixed hottrack bug when dragging.

JvPanel.pas
  - Change TJvArrangeSettings to inherited from TJvArrangeSettings.
  - TJvPanel implemented interface of IJvHotTrack.
  - Replace HotColor property with HotTrackOptions.Color.
  .. more
 
Additional Information
Tags No tags attached.
Attached Files rar file icon NewJVCL.rar [^] (96,194 bytes) 2005-06-03 04:24
rar file icon NewJVCL2005-06-04.rar [^] (95,700 bytes) 2005-06-04 03:56

- Relationships

-  Notes
(0007402)
dejoy (reporter)
2005-06-04 03:56

Please update the NewJVCL2005-06-04.rar,this is the last file.
(0007443)
obones (administrator)
2005-06-13 05:39

Ok.
This is too big for it to simply go into CVS like that. I want a description for every change in every file, so that I can see what has changed.
I'm sorry, but in order to allow easy tracking of changes, I need those.
(0007452)
anonymous (viewer)
2005-06-13 23:27

this is a big change ,all code was rewrited.but all file pass testing.
(0007453)
obones (administrator)
2005-06-14 05:12

Yes, but what testing?
So you expect me to have a look at every change and decide if it's ok or not?
What I want is something like that for every file:

What was considered wrong
How it works now
What was done

Is it that hard to provide ?
(0007461)
anonymous (viewer)
2005-06-14 16:26

Changes:
>>JvOfficeColorPanel.pas
---Merged TJvSubColorButton and TJvColorSpeedButton to common one TJvColorSpeedButton.

---TJvOfficeColorPanelProperties---
  -Added property ShowStandardColors.
  -Added property ShowUserColors.
  -Added property ShowNoneColor.
  -........

---TJvOfficeColorPanel---
  Now can show Standard colors and user colors.
  -Rename property CustomColors to ColorDlgCustomColors.
  -Rename property Options to ColorDialogOptions.
  -Added property StandardColors.
  -Added property UserColors.
  -Added property HotTrack.
  -Added property HotTrackFont.
  -Added property HotTrackFontOptions.
  -Added property HotTrackOptions.
  -Added event OnShowOwnerColorDialog.
  -............

>>JvOfficeColorButton.pas
---TJvOfficeColorButtonProperties---
  -Rename property DragCaption to FloatWindowCaption.
  
---TJvCustomOfficeColorButton---
  -Rename property CustomColors to ColorDlgCustomColors.
  -Rename property Options to ColorDialogOptions.
  -Removed code of compatible to loading TJvColorButton.
  -added property DropingBgColor.
  -added property FloatingBgColor.
  -Added property StandardColors.
  -Added property UserColors.
  -Added property HotTrack.
  -Added property HotTrackFont.
  -Added property HotTrackFontOptions.
  -Added property HotTrackOptions.
(0007462)
anonymous (viewer)
2005-06-14 16:30

use the last cvs jvcl,unzip the new files to over old files,that is installing,it's ok.
(0007463)
anonymous (viewer)
2005-06-14 16:33

I'm the author of jvofficecolorbutton and jvofficecolorpanel,so i'm doing this job.
(0007481)
anonymous (viewer)
2005-06-19 00:03

Is nobody can commit to cvs?5555~
(0007500)
obones (administrator)
2005-06-28 13:11

Ok, I can't accept the changes they don't respect the guide style.
For instance, in JvSpeedButton.pas you changed every variable to have lower case "L" prefix. This is against the coding style and obfuscates the diff file with unecessary differences.
Please fix that and submit a new file with DETAILED changes explanations. There are 13 changed source files, you only provided explanations for Four of them.
(0007515)
dejoy (reporter)
2005-06-30 04:42

you can close this issue at now,this subject has moved to http://homepages.borland.com/jedi/issuetracker/view.php?id=3064 [^] .

- Issue History
Date Modified Username Field Change
2005-06-03 04:24 dejoy New Issue
2005-06-03 04:24 dejoy File Added: NewJVCL.rar
2005-06-04 03:56 dejoy File Added: NewJVCL2005-06-04.rar
2005-06-04 03:56 dejoy Note Added: 0007402
2005-06-13 05:39 obones Note Added: 0007443
2005-06-13 05:39 obones Status new => feedback
2005-06-13 23:27 anonymous Note Added: 0007452
2005-06-14 05:12 obones Note Added: 0007453
2005-06-14 16:26 anonymous Note Added: 0007461
2005-06-14 16:30 anonymous Note Added: 0007462
2005-06-14 16:33 anonymous Note Added: 0007463
2005-06-19 00:03 anonymous Note Added: 0007481
2005-06-28 13:11 obones Note Added: 0007500
2005-06-30 04:42 dejoy Note Added: 0007515
2005-07-02 10:49 AHUser Status feedback => resolved
2005-07-02 10:49 AHUser Resolution open => fixed
2005-07-02 10:49 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker